### robocode.robotinterfaces

# Interface IPaintRobot

All Superinterfaces:
  IBasicRobot

Known Implementing Classes:
  AdvancedRobot, Robot, TeamRobot

`public interface IPaintRobot`
`extends IBasicRobot`

A robot interface that makes it possible for a robot to receive paint events.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (javadoc)

Since:
  1.6

  ## Method Summary

  `IPaintEvents`

  `getPaintEventListener()`
    This method is called by the game to notify this robot about painting events.

  ### Methods inherited from interface robocode.robotinterfaces.IBasicRobot

  `getBasicEventListener`, `getRobotRunnable`, `setOut`, `setPeer`

## Method Details

### getPaintEventListener

    public IPaintEvents getPaintEventListener()

> This method is called by the game to notify this robot about painting events. Hence, this method must be implemented so it returns your `IPaintEvents` listener.
> Returns:
>   listener to paint events or `null` if this robot should not receive the notifications.
> Since:
>   1.6